com.tibco.datagrid.exceptions

## Class DataGridInvalidTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.datagrid.DataGridException
      - - com.tibco.datagrid.exceptions.DataGridInvalidTypeException

- All Implemented Interfaces:
    java.io.Serializable

      public class DataGridInvalidTypeException
      extends DataGridException

  Field datatype mismatch.

  Common Diagnoses:

  - A message field access call received a datatype indicator that does not match the actual datatype of the field's value.
  - A message field access call received a datatype indicator that does not represent an DataGrid field datatype.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGridInvalidTypeException()`
    `DataGridInvalidTypeException(java.lang.String message)`
    `DataGridInvalidTypeException(java.lang.String message, java.lang.Throwable cause)`
    `DataGridInvalidTypeException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.datagrid.DataGridException

      `getErrorCode, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGridInvalidTypeException

          public DataGridInvalidTypeException()

    - #### DataGridInvalidTypeException

          public DataGridInvalidTypeException(java.lang.String message,
                                              java.lang.Throwable cause)

    - #### DataGridInvalidTypeException

          public DataGridInvalidTypeException(java.lang.String message)

    - #### DataGridInvalidTypeException

          public DataGridInvalidTypeException(java.lang.Throwable cause)